<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { init } from 'aos';
import {
  SlpContainer,
  SlpRow,
  TabsMenu,
  Copy,
  CopyMedia,
  SlpColumn,
  FreeTrialCTA,
} from '../../components/common/index';
import {
  AnalystsCTA as CallToAction,
  FeaturedReports,
  CopyFaq,
  Contacts,
} from '../../components/analysts/index.vue';
import { TopicsHeader } from '../../components/topics/index.vue';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  name: 'Analysts',
  components: {
    SlpColumn,
    SlpRow,
    TabsMenu,
    SlpContainer,
    CallToAction,
    Copy,
    CopyMedia,
    CopyFaq,
    Contacts,
    FreeTrialCTA,
    FeaturedReports,
    TopicsHeader,
  },
  async asyncData({ $content, params, error }: any) {
    try {
      const analysts = await $content(
        `analysts/${params.analysts ? params.analysts : 'index'}`,
      ).fetch();

      return { analysts };
    } catch (e) {
      error({ statusCode: 404 });
      return {};
    }
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).analysts, this.$route.path);
  },
  beforeMount() {
    init({
      once: true,
    });
  },
});
</script>
<template>
  <SlpContainer>
    <SlpRow>
      <SlpColumn :cols="12">
        <component
          :is="component.name"
          v-for="component in analysts.components"
          :key="component.name"
          :data="component.data"
        ></component>
      </SlpColumn>
    </SlpRow>
    <SlpRow>
      <SlpColumn>
        <FreeTrialCTA variant="image" type="pricing" />
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>
<style lang="scss" scoped>
.container {
  display: flex;
  flex-direction: column;
  align-items: center;
}
</style>
